package com.feasycom.feasysens.network

import android.util.Log
import com.feasycom.feasyblue.network.ApiService
import com.jakewharton.retrofit2.adapter.kotlin.coroutines.CoroutineCallAdapterFactory
import okhttp3.OkHttpClient
import retrofit2.Retrofit
import retrofit2.converter.gson.GsonConverterFactory
import java.util.concurrent.TimeUnit

object RetrofitClient {
            /*
            **打印retrofit信息部分
           */


    private val client by lazy {
        OkHttpClient.Builder()
            .connectTimeout(10, TimeUnit.SECONDS)
            .readTimeout(20, TimeUnit.SECONDS)
            .build()
    }

    val reqApi by lazy {
        val retrofit = Retrofit.Builder()
            .baseUrl("https://dfu.feasycom.com/")
            .addConverterFactory(GsonConverterFactory.create())
            .addCallAdapterFactory(CoroutineCallAdapterFactory())
            .client(client)
            .build()
        return@lazy retrofit.create(ApiService::class.java)
    }
}